/*
** File: vxw_entry.c  
** Project: VxWorks ADB3 monolithic driver entry point
** Purpose: Driver parameters
**
** (C) Copyright Alpha Data 2010
*/

#include "df.h"
#include "dfvxworks.h"

#include "adb3Drv.h"

static DfPciCompatibleId g_pciCompatibleIds[] = {
  {
    { 0x4144U, 0xadb3U, 0x4144U, 0U, 0U }, /* ADB3-based models */
    DF_PCI_MATCH_VENDOR | DF_PCI_MATCH_DEVICE | DF_PCI_MATCH_SUBVENDOR
  },
  DF_PCI_COMPATIBLE_ID_END
};

static DfPciCompatibleId g_legacyPciCompatibleIds[] = {
  {
    { 0x10b5U, 0x9656U, 0x4144U, 0U, 0U }, /* PCI9656-based models */
    DF_PCI_MATCH_VENDOR | DF_PCI_MATCH_DEVICE | DF_PCI_MATCH_SUBVENDOR
  },
  DF_PCI_COMPATIBLE_ID_END
};

STATUS
adb3DrvStart(
  int debugLevel,
  int bLegacyHardware)
{
#if defined(ADB3_VXBUS)
  return dfVxbEntry(debugLevel, "adb3", g_pciCompatibleIds, g_legacyPciCompatibleIds, bLegacyHardware ? TRUE : FALSE);
#else
  return dfVxwLegacyEntry(debugLevel, "adb3", g_pciCompatibleIds, g_legacyPciCompatibleIds, bLegacyHardware ? TRUE : FALSE);
#endif
}

STATUS
adb3DrvStop(
  int debugLevel)
{
#if defined(ADB3_VXBUS)
  dfVxbExit();
#else
  dfVxwLegacyExit();
#endif
  return OK;
}
