/*
** File: vxw_param.c  
** Project: VxWorks ADB3 monolithic driver
** Purpose: Driver parameters
**
** (C) Copyright Alpha Data 2010-2011
*/

#include "df.h"
#include "dfvxworks.h"

/*
** Driver parameters are simply symbols that are exported to the namespace of
** the VxWorks kernel.
*/

unsigned int adb3DrvAdmxrc6tadv8CompatSensor1Name = 0;
unsigned int adb3DrvAssumeXrmPresent = 0;
unsigned int adb3DrvDmaMapLength = 64;
unsigned int adb3DrvEnableVpdWrite = 0;
unsigned int adb3DrvIncludeDiagSensors = 0;
unsigned int adb3DrvLegacyHardware = 0;
unsigned int adb3DrvPciAddress64Bit = 0;
unsigned int adb3DrvSi5338ExposeAllClocks = 0;
unsigned int adb3DrvPrimaryCommonBufferCount = 0;
unsigned int adb3DrvPrimaryCommonBufferAlignment = 16U;
unsigned int adb3DrvPrimaryCommonBufferSizeLow = 0x10000U;
unsigned int adb3DrvPrimaryCommonBufferSizeHigh = 0;
unsigned int adb3DrvPolledInterrupts = 0;

DfVxwDriverParameterUint32 g_dfVxwDriverParamUint32[] = {
  { "DmaMapLength", &adb3DrvDmaMapLength },
  { "PrimaryCommonBufferCount", &adb3DrvPrimaryCommonBufferCount },
  { "PrimaryCommonBufferAlignment", &adb3DrvPrimaryCommonBufferAlignment },
  { "PrimaryCommonBufferSizeLow", &adb3DrvPrimaryCommonBufferSizeLow },
  { "PrimaryCommonBufferSizeHigh", &adb3DrvPrimaryCommonBufferSizeHigh },
  { NULL, NULL } /* Terminator */
};

DfVxwDriverParameterBoolean g_dfVxwDriverParamBoolean[] = {
  { "Admxrc6tadv8CompatSensor1Name", &adb3DrvAdmxrc6tadv8CompatSensor1Name },
  { "AssumeXrmPresent", &adb3DrvAssumeXrmPresent },
  { "EnableVpdWrite", &adb3DrvEnableVpdWrite },
  { "IncludeDiagSensors", &adb3DrvIncludeDiagSensors },
  { "LegacyHardware", &adb3DrvLegacyHardware },
  { "PciAddress64Bit", &adb3DrvPciAddress64Bit },
  { "Si5338ExposeAllClocks", &adb3DrvSi5338ExposeAllClocks },
  { "PolledInterrupts", &adb3DrvPolledInterrupts },
  { NULL, NULL } /* Terminator */
};

DfVxwDriverParameterString g_dfVxwDriverParamString[] = {
  { NULL, NULL, 0 } /* Terminator */
};
